org.apache.maven.scm.provider.starteam.command.unedit

## Class StarteamUnEditConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.starteam.command.unedit.StarteamUnEditConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class StarteamUnEditConsumer
    extends Object
    implements org.codehaus.plexus.util.cli.StreamConsumer

Author:
  Dan T. Tran, Olivier Lamy

### Constructor Summary

Constructors
Constructor and Description
`StarteamUnEditConsumer(ScmLogger logger, File basedir)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine(String line)`
`List<ScmFile>` `getUnEditFiles()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StarteamUnEditConsumer

    public StarteamUnEditConsumer(ScmLogger logger,
                                  File basedir)

### Method Detail

#### consumeLine

    public void consumeLine(String line)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

#### getUnEditFiles

    public List<ScmFile> getUnEditFiles()